Update collection

Update an existing collection

PUT
/bases/{baseId}/collections/{collectionId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

baseIdstring

Base ID

collectionIdstring

Collection ID

Collection update input

defaultImageField?string

Field used for default image display

description?string

Short description of the collection

enabled?boolean

Whether the collection is enabled

fieldsOrder?array<string>

Order of the fields

meta?array<integer>

Additional metadata

order?integer

Order of the collection

pinned?boolean

Whether the collection is pinned

primary?string

Primary field name. Primary field is not a primary key in the database. It is used for display purposes.

tags?array<string>

Tags for the collection

title?string

Human readable title

titleFields?array<string>

Fields to use for title generation

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/bases/string/collections/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "baseId": "string",
  "createdAt": "string",
  "dbSchema": "string",
  "description": "string",
  "enabled": true,
  "fields": [
    {
      "collectionId": "string",
      "createdAt": "string",
      "dbDataType": "string",
      "defaultValue": [
        0
      ],
      "description": "string",
      "format": "string",
      "formula": "string",
      "height": "string",
      "hidden": true,
      "id": "string",
      "kind": null,
      "name": "string",
      "options": [
        0
      ],
      "order": 0,
      "referenceId": "string",
      "required": true,
      "rollupFunction": "string",
      "system": true,
      "title": "string",
      "updatedAt": "string",
      "validation": [
        0
      ],
      "width": "string"
    }
  ],
  "fieldsOrder": [
    "string"
  ],
  "id": "string",
  "kind": null,
  "meta": [
    0
  ],
  "name": "string",
  "order": 0,
  "pinned": true,
  "primary": "string",
  "recordsSchema": [
    0
  ],
  "system": true,
  "tags": [
    "string"
  ],
  "title": "string",
  "updatedAt": "string",
  "views": [
    {
      "collectionId": "string",
      "createdAt": "string",
      "description": "string",
      "fields": [
        {
          "collectionId": "string",
          "createdAt": "string",
          "dbDataType": "string",
          "defaultValue": [
            0
          ],
          "description": "string",
          "format": "string",
          "formula": "string",
          "height": "string",
          "hidden": true,
          "id": "string",
          "kind": null,
          "name": "string",
          "options": [
            0
          ],
          "order": 0,
          "referenceId": "string",
          "required": true,
          "rollupFunction": "string",
          "system": true,
          "title": "string",
          "updatedAt": "string",
          "validation": [
            0
          ],
          "width": "string"
        }
      ],
      "filters": [
        {
          "children": [
            {
              "children": [],
              "createdAt": "string",
              "description": "string",
              "fieldId": "string",
              "id": "string",
              "isDynamicValue": true,
              "isGroup": true,
              "logicalOperator": null,
              "name": "string",
              "operator": null,
              "order": 0,
              "parentId": "string",
              "updatedAt": "string",
              "value": "string",
              "valueFieldId": "string",
              "viewId": "string"
            }
          ],
          "createdAt": "string",
          "description": "string",
          "fieldId": "string",
          "id": "string",
          "isDynamicValue": true,
          "isGroup": true,
          "logicalOperator": null,
          "name": "string",
          "operator": null,
          "order": 0,
          "parentId": "string",
          "updatedAt": "string",
          "value": "string",
          "valueFieldId": "string",
          "viewId": "string"
        }
      ],
      "id": "string",
      "kind": null,
      "metadata": [
        0
      ],
      "name": "string",
      "order": 0,
      "password": "string",
      "shareId": "string",
      "sorts": [
        {
          "createdAt": "string",
          "description": "string",
          "direction": null,
          "fieldId": "string",
          "id": "string",
          "name": "string",
          "order": 0,
          "updatedAt": "string",
          "viewId": "string"
        }
      ],
      "title": "string",
      "updatedAt": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}